    Program g01bkfe

!     G01BKF Example Program Text

!     Mark 24 Release. NAG Copyright 2012.

!     .. Use Statements ..
      Use nag_library, Only: g01bkf, nag_wp
!     .. Implicit None Statement ..
      Implicit None
!     .. Parameters ..
      Integer, Parameter               :: nin = 5, nout = 6
!     .. Local Scalars ..
      Real (Kind=nag_wp)               :: peqk, pgtk, plek, rlamda
      Integer                          :: ifail, k
!     .. Executable Statements ..
      Write (nout,*) 'G01BKF Example Program Results'
      Write (nout,*)

!     Skip heading in data file
      Read (nin,*)

!     Display titles
      Write (nout,*) '    RLAMDA     K     PLEK      PGTK      PEQK'
      Write (nout,*)

!     Loop over all data
d_lp: Do
        Read (nin,*,Iostat=ifail) rlamda, k
        If (ifail/=0) Then
!         All data processed
          Exit d_lp
        End If

!       Calculate probability
        ifail = 0
        Call g01bkf(rlamda,k,plek,pgtk,peqk,ifail)

!       Display results
        Write (nout,99999) rlamda, k, plek, pgtk, peqk
      End Do d_lp

99999 Format (1X,F10.3,I6,3F10.5)
    End Program g01bkfe
